set tclPath [ GuidoGetParamBufferValue [ GuidoExecServer GetTCLPath { } ] tclPath ]
source "$tclPath/../scripts/graphicsPickGrid.tcl"
set pickResult [ showGridPickerForm "Erase a grid surface" layername grids "1740"]
if { $pickResult > 0 } {
GuidoApp app "ERASE GRID SURFACE"
if { $layername == "ALL_LAYERS" } {
$app setParam allLayers true
} else {
$app setParam dataset $layername
}
if { $grids == "ALL_GRIDS" } {
$app setParam allGrids true
} else {
$app setParam grid [join $grids "\n"]
}
set result [$app invoke]
$app destroy
}
